Bug 205778 - Kernel 2.6.17-1.2174_FC5 panics and system hangs, possibly linked to aacraid
Kernel 2.6.17-1.2174_FC5 panics and system hangs, possibly linked to aacraid
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity high
: ---
: ---
Assigned To: Tom Coughlan
Brian Brock
NeedsRetesting
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-08 10:22 EDT by Pablo Pérez González
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version: fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-28 12:40:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
2.6.17-1.2187 aacraid Oops (18.30 KB, text/plain)
2006-10-16 13:54 EDT, Colin
no flags Details

  None (edit)
Description Pablo Pérez González 2006-09-08 10:22:21 EDT
Description of problem: Kernel panics and system hangs, possibly linked to aacraid


Version-Release number of selected component (if applicable): Linux
duplex.fis.ucm.es 2.6.17-1.2174_FC5 #1 SMP Tue Aug 8 15:30:44 EDT 2006 x86_64
x86_64 x86_64 GNU/Linux


How reproducible: Happens once an hour when using system at full throttle


Steps to Reproduce:
1.Boot system
2.Run programs using all CPUs
3.Wait until it crashes (in 30-60 minutes)
  
Actual results: System crashes


Expected results: No crash


Additional info:

System with NCT-D motherboard, 2 Xeon 3.4 GHz processors [Pentium D(Foster)],
4Gb DDR2-400 RAM, Adaptec 2610SA RAID card with 4 400 Gb disk.

System hangs when using the two processors with two programs using most of the
memmory, CPU, and wrting to disk every often.

If running programs from and X windows terminal, system hangs without any trace
message.

If running program from consoles (init 3), system hangs and outputs trace
message. The INCOMPLETE log is:

       <ffffffff88049cbf>{:aacraid:aac_rx_intr+55} <ffffffff8021087a>{handle_IRQ
_event+41}
       <ffffffff802b2e0b>{__do_IRQ+154} <ffffffff80271506>{do_IRQ+60}
       <ffffffff8026302a>{ret_from_intr+0} <EOI>
Kernel panic - not syncing: Aiee, killing interrupt handler!
 BUG: warning at kernel/panic.c:137/panic() (Not tainted)

Call Trace: <IRQ> <ffffffff8028fe53>{panic+483} <ffffffff80269e8e>{_spin_unlock_
irq+12}
       <ffffffff80269851>{__down_read+60} <ffffffff80269ece>{_spin_lock_irqsave+ 9}
       <ffffffff80222db3>{__up_read+25} <ffffffff8029991c>{blocking_notifier_cal
l_chain+70}
       <ffffffff80215cd4>{do_exit+141} <ffffffff8027085f>{kernel_math_error+0}
       <ffffffff80270dfc}{do_invalid_op+173} <fffffff8804996d>{:aacraid:aac_intr
_normal+463}
       <fffffff80269ece}{spin_lock_irqsave+9} <fffffff802906c4>{printk+82}
       <ffffffff802639e5>{error_exit+0} <ffffffff80347313>{vgacon_cursor+0}
       <ffffffff8804996d>{:aacraid:aac_intr_normal+473} <ffffffff8804996d>{:aacr
aid:aac_intr_normal+473}
       <ffffffff88049cbf>{:aacraid:aac_rx_intr+55} <ffffffff8021087a>{handle_IRQ
_event+41}
       <ffffffff802b2e0b>{__do_IRQ+154} <ffffffff80271506>{do_IRQ+60}
       <ffffffff8026302a>{ret_from_intr+0} <EOI>
(3) astrax:/home/pgperez>
(3) astrax:/home/pgperez> cat error
       <ffffffff88049cbf>{:aacraid:aac_rx_intr+55}
<ffffffff8021087a>{handle_IRQ_event+41}
       <ffffffff802b2e0b>{__do_IRQ+154} <ffffffff80271506>{do_IRQ+60}
       <ffffffff8026302a>{ret_from_intr+0} <EOI>
Kernel panic - not syncing: Aiee, killing interrupt handler!
 BUG: warning at kernel/panic.c:137/panic() (Not tainted)

Call Trace: <IRQ> <ffffffff8028fe53>{panic+483}
<ffffffff80269e8e>{_spin_unlock_irq+12}
       <ffffffff80269851>{__down_read+60} <ffffffff80269ece>{_spin_lock_irqsave+9}
       <ffffffff80222db3>{__up_read+25}
<ffffffff8029991c>{blocking_notifier_call_chain+70}
       <ffffffff80215cd4>{do_exit+141} <ffffffff8027085f>{kernel_math_error+0}
       <ffffffff80270dfc}{do_invalid_op+173}
<fffffff8804996d>{:aacraid:aac_intr_normal+463}
       <fffffff80269ece}{spin_lock_irqsave+9} <fffffff802906c4>{printk+82}
       <ffffffff802639e5>{error_exit+0} <ffffffff80347313>{vgacon_cursor+0}
       <ffffffff8804996d>{:aacraid:aac_intr_normal+473}
<ffffffff8804996d>{:aacraid:aac_intr_normal+473}
       <ffffffff88049cbf>{:aacraid:aac_rx_intr+55}
<ffffffff8021087a>{handle_IRQ_event+41}
       <ffffffff802b2e0b>{__do_IRQ+154} <ffffffff80271506>{do_IRQ+60}
       <ffffffff8026302a>{ret_from_intr+0} <EOI>

*******************************************************************************

lsmod:

Module                  Size  Used by
fglrx                 503668  8
ipv6                  442785  28
autofs4                60233  2
hidp                   85057  2
l2cap                  94017  5 hidp
bluetooth             125637  2 hidp,l2cap
sunrpc                230153  1
ip_conntrack_netbios_ns    36417  0
ipt_REJECT             39233  1
xt_state               35777  15
ip_conntrack          101093  2 ip_conntrack_netbios_ns,xt_state
nfnetlink              41609  1 ip_conntrack
xt_tcpudp              36929  17
iptable_filter         36673  1
ip_tables              57761  1 iptable_filter
x_tables               54217  4 ipt_REJECT,xt_state,xt_tcpudp,ip_tables
video                  54345  0
button                 41569  0
battery                44873  0
acpi_memhotplug        39361  0
ac                     39241  0
lp                     49425  0
parport_pc             66153  0
parport                80461  2 lp,parport_pc
snd_usb_audio         128193  1
snd_usb_lib            53953  1 snd_usb_audio
snd_rawmidi            65473  1 snd_usb_lib
snd_hwdep              45897  1 snd_usb_audio
snd_intel8x0           72553  0
snd_ac97_codec        154393  1 snd_intel8x0
snd_ac97_bus           36289  1 snd_ac97_codec
snd_seq_dummy          37701  0
snd_seq_oss            74561  0
snd_seq_midi_event     42817  1 snd_seq_oss
snd_seq               104929  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
snd_seq_device         44113  4 snd_rawmidi,snd_seq_dummy,snd_seq_oss,snd_seq
ohci1394               72473  0
snd_pcm_oss            83025  0
ieee1394              412761  1 ohci1394
uhci_hcd               61529  0
ehci_hcd               71501  0
snd_mixer_oss          53569  1 snd_pcm_oss
sg                     74089  0
snd_pcm               142409  4
snd_usb_audio,snd_intel8x0,snd_ac97_codec,snd_pcm_oss
serio_raw              42053  0
snd_timer              63689  2 snd_seq,snd_pcm
snd                   108777  14
snd_usb_audio,snd_rawmidi,snd_hwdep,snd_intel8x0,snd_ac97_codec,snd_seq_oss,snd_seq,snd_seq_device,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer
e752x_edac             45893  0
soundcore              45793  1 snd
i2c_i801               43477  0
i6300esb               41853  0
tg3                   146245  0
edac_mc                49541  1 e752x_edac
snd_page_alloc         45009  2 snd_intel8x0,snd_pcm
i2c_core               60993  1 i2c_i801
dm_snapshot            52369  0
dm_zero                35521  0
dm_mirror              58433  0
dm_mod                104081  11 dm_snapshot,dm_zero,dm_mirror
ext3                  181841  7
jbd                   100585  1 ext3
aacraid               100929  3
sd_mod                 55745  4
scsi_mod              198033  3 sg,aacraid,sd_mod

***************************************************************************
lspci -vv:

00:00.0 Host bridge: Intel Corporation E7525 Memory Controller Hub (rev 0c)
        Subsystem: ASUSTeK Computer Inc. Unknown device 814a
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR+ FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
        Latency: 0
        Capabilities: <access denied>

00:00.1 Class ff00: Intel Corporation E7525/E7520 Error Reporting Registers (rev 0c)
        Subsystem: ASUSTeK Computer Inc. Unknown device 814a
        Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR-

00:02.0 PCI bridge: Intel Corporation E7525/E7520/E7320 PCI Express Port A (rev
0c) (prog-if 00 [Normal decode])
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR+ FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
        Latency: 0, Cache Line Size 10
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
        I/O behind bridge: 0000a000-0000afff
        Memory behind bridge: bfb00000-bfbfffff
        Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- <SERR- <PERR-
        BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
        Capabilities: <access denied>

00:03.0 PCI bridge: Intel Corporation E7525/E7520/E7320 PCI Express Port A1 (rev
0c) (prog-if 00 [Normal decode])
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR+ FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
        Latency: 0, Cache Line Size 10
        Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
        I/O behind bridge: 0000b000-0000bfff
        Memory behind bridge: bfc00000-bfcfffff
        Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- <SERR- <PERR-
        BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
        Capabilities: <access denied>

00:04.0 PCI bridge: Intel Corporation E7525/E7520 PCI Express Port B (rev 0c)
(prog-if 00 [Normal decode])
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR+ FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
        Latency: 0, Cache Line Size 10
        Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
        I/O behind bridge: 0000c000-0000cfff
        Memory behind bridge: bfd00000-bfdfffff
        Prefetchable memory behind bridge: 00000000c0000000-00000000dbf00000
        Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- <SERR- <PERR-
        BridgeCtl: Parity- SERR+ NoISA- VGA+ MAbort- >Reset- FastB2B-
        Capabilities: <access denied>

00:1c.0 PCI bridge: Intel Corporation 6300ESB 64-bit PCI-X Bridge (rev 02)
(prog-if 00 [Normal decode])
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR+ FastB2B-
        Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
        Latency: 64, Cache Line Size 10
        Bus: primary=00, secondary=04, subordinate=04, sec-latency=48
        I/O behind bridge: 0000d000-0000dfff
        Memory behind bridge: bfe00000-bfefffff
        Prefetchable memory behind bridge: 00000000dc000000-00000000dff00000
        Secondary status: 66MHz+ FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- <SERR- <PERR-
        BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
        Capabilities: <access denied>

00:1d.0 USB Controller: Intel Corporation 6300ESB USB Universal Host Controller
(rev 02) (prog-if 00 [UHCI])
        Subsystem: ASUSTeK Computer Inc. Unknown device 8117
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 0
        Interrupt: pin A routed to IRQ 169
        Region 4: I/O ports at 9880 [size=32]

00:1d.1 USB Controller: Intel Corporation 6300ESB USB Universal Host Controller
(rev 02) (prog-if 00 [UHCI])
        Subsystem: ASUSTeK Computer Inc. Unknown device 8117
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 0
        Interrupt: pin B routed to IRQ 201
        Region 4: I/O ports at 9c00 [size=32]

00:1d.4 System peripheral: Intel Corporation 6300ESB Watchdog Timer (rev 02)
        Subsystem: ASUSTeK Computer Inc. Unknown device 8117
        Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Region 0: Memory at bfaffc00 (32-bit, non-prefetchable) [size=16]

00:1d.5 PIC: Intel Corporation 6300ESB I/O Advanced Programmable Interrupt
Controller (rev 02) (prog-if 20 [IO(X)-APIC])
        Subsystem: ASUSTeK Computer Inc. Unknown device 8117
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR+ FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
        Latency: 0
        Capabilities: <access denied>

00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev 0a) (prog-if 00
[Normal decode])
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR+ FastB2B-
        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
        Latency: 0
        Bus: primary=00, secondary=05, subordinate=05, sec-latency=32
        I/O behind bridge: 0000e000-0000efff
        Memory behind bridge: bff00000-bfffffff
        Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort+ <SERR- <PERR-
        BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-

00:1f.0 ISA bridge: Intel Corporation 6300ESB LPC Interface Controller (rev 02)
        Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 0

00:1f.1 IDE interface: Intel Corporation 6300ESB PATA Storage Controller (rev
02) (prog-if 8a [Master SecP PriP])
        Subsystem: ASUSTeK Computer Inc. Unknown device 8117
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 0
        Interrupt: pin A routed to IRQ 177
        Region 0: I/O ports at <unassigned>
        Region 1: I/O ports at <unassigned>
        Region 2: I/O ports at <unassigned>
        Region 3: I/O ports at <unassigned>
        Region 4: I/O ports at fc00 [size=16]
        Region 5: Memory at 88000000 (32-bit, non-prefetchable) [size=1K]

00:1f.3 SMBus: Intel Corporation 6300ESB SMBus Controller (rev 02)
        Subsystem: ASUSTeK Computer Inc. Unknown device 8117
        Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Interrupt: pin B routed to IRQ 9
        Region 4: I/O ports at 0400 [size=32]

00:1f.5 Multimedia audio controller: Intel Corporation 6300ESB AC'97 Audio
Controller (rev 02)
        Subsystem: ASUSTeK Computer Inc. Unknown device 80b0
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 0
        Interrupt: pin B routed to IRQ 225
        Region 0: I/O ports at 9400 [size=256]
        Region 1: I/O ports at 9800 [size=64]
        Region 2: Memory at bfaff800 (32-bit, non-prefetchable) [size=512]
        Region 3: Memory at bfaff400 (32-bit, non-prefetchable) [size=256]
        Capabilities: <access denied>

02:00.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5751 Gigabit
Ethernet PCI Express (rev 21)
        Subsystem: ASUSTeK Computer Inc. Unknown device 814b
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR+ FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
        Latency: 0, Cache Line Size 10
        Interrupt: pin A routed to IRQ 50
        Region 0: Memory at bfcf0000 (64-bit, non-prefetchable) [size=64K]
        Capabilities: <access denied>

03:00.0 VGA compatible controller: ATI Technologies Inc RV370 [ATI Sapphire X550
Silent] (prog-if 00 [VGA])
        Subsystem: C.P. Technology Co. Ltd Unknown device 2143
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR+ FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
        Latency: 0, Cache Line Size 10
        Interrupt: pin A routed to IRQ 169
        Region 0: Memory at c0000000 (32-bit, prefetchable) [size=256M]
        Region 1: I/O ports at c000 [size=256]
        Region 2: Memory at bfde0000 (32-bit, non-prefetchable) [size=64K]
        Expansion ROM at bfdc0000 [disabled] [size=128K]
        Capabilities: <access denied>

03:00.1 Display controller: ATI Technologies Inc RV370 secondary [ATI Sapphire
X550 Silent]
        Subsystem: C.P. Technology Co. Ltd Unknown device 2142
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
        Latency: 0, Cache Line Size 10
        Region 0: Memory at bfdf0000 (32-bit, non-prefetchable) [size=64K]
        Capabilities: <access denied>

04:02.0 RAID bus controller: Adaptec AAC-RAID (rev 01)
        Subsystem: Hewlett-Packard Company AAR-2610SA
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr-
Stepping- SERR+ FastB2B-
        Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=slow >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
        Latency: 64 (250ns min, 250ns max), Cache Line Size 10
        Interrupt: pin A routed to IRQ 185
        Region 0: Memory at dc000000 (32-bit, prefetchable) [size=64M]
        Expansion ROM at bfef0000 [disabled] [size=32K]
        Capabilities: <access denied>

05:02.0 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
(rev 61) (prog-if 00 [UHCI])
        Subsystem: ASUSTeK Computer Inc. Unknown device 814c
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr-
Stepping- SERR+ FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 64, Cache Line Size 10
        Interrupt: pin A routed to IRQ 209
        Region 4: I/O ports at e880 [size=32]
        Capabilities: <access denied>

05:02.1 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller
(rev 61) (prog-if 00 [UHCI])
        Subsystem: ASUSTeK Computer Inc. Unknown device 814c
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr-
Stepping- SERR+ FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 64, Cache Line Size 10
        Interrupt: pin B routed to IRQ 217
        Region 4: I/O ports at ec00 [size=32]
        Capabilities: <access denied>

05:02.2 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 63) (prog-if 20 [EHCI])
        Subsystem: ASUSTeK Computer Inc. Unknown device 814c
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr-
Stepping- SERR+ FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 64, Cache Line Size 20
        Interrupt: pin C routed to IRQ 193
        Region 0: Memory at bffffc00 (32-bit, non-prefetchable) [size=256]
        Capabilities: <access denied>

05:03.0 FireWire (IEEE 1394): Texas Instruments TSB43AB22/A IEEE-1394a-2000
Controller (PHY/Link) (prog-if 10 [OHCI])
        Subsystem: ASUSTeK Computer Inc. K8N4-E Mainboard
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr-
Stepping- SERR+ FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 64 (500ns min, 1000ns max), Cache Line Size 10
        Interrupt: pin A routed to IRQ 217
        Region 0: Memory at bffff000 (32-bit, non-prefetchable) [size=2K]
        Region 1: Memory at bfff8000 (32-bit, non-prefetchable) [size=16K]
        Capabilities: <access denied>
Comment 1 Trevor Cordes 2006-09-25 00:11:50 EDT
Check out bug #206744, see if that might apply to your situation.  You using
e1000 NIC driver?  Was the previous kernel stable for you?
Comment 2 Pablo Pérez González 2006-09-25 04:35:48 EDT
I have checked bug #206744 and I don't think it applies to me. I can't see any
link to samba (I am not running it!!), it seemed like a disk problem, and the
log before freezing pointed to the aacraid module. I tried all the kernels
available for Fedora Core 5 and all of them had problems.

I have now installed Scientific Linux 4.3 (based on Redhat Enterprise 4) and
everything works great. My kernel version is 2.6.9-42.0.2.ELsmp and it uses the
module aacraid 1.1-5[2412] (newer version than the Fedora Core 5 module). No
problems anymore. The kernels in FC6-test seem to still use older aacraid
versions, so I will have to stay like this for a while. There is something
really buggy (at least for my Adaptec 2610SA RAID card) in the aacraid modules
before version 1.1-5[2412].
Comment 3 Marek Greško 2006-10-05 12:46:55 EDT
I am also experiencing these problems using aacraid after upgrade to FC5. In FC4
all worked OK.
Comment 4 Colin 2006-10-16 13:54:16 EDT
Created attachment 138601 [details]
2.6.17-1.2187 aacraid Oops

Seeing this on 2.6.17-1.2187_FC5 on x86_64 dual AMD Opteron 254's.
The raid card is an adaptec ASR-2130S. Had it on 2.6.17-1.2157_FC5 also.
Has anyone flashed to the 9194b firmware for this card? I saw one guy that
claimed he had flashed and running under FC6T3 it was still doing the same
thing.

My uptimes average 2 days, but I think its random luck :p and I had the XFS
broken driver trashing parts of my FS every time it crashed. I'm more than
willing to assist any developer that needs access to this hardware if it'll
help get this bug fixed.
Comment 5 Dave Jones 2006-10-16 16:23:35 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 6 Marek Greško 2006-11-03 09:56:39 EST
The 2.6.18-1.2200.fc5 kernel still hangs on heavy I/O. I cannot see any panic.
Only black screen. So I am not sure it is related to aacraid driver.
Comment 7 Pablo Pérez González 2006-11-07 06:35:14 EST
I do not see any panic when I am running the X server. If I boot the system in 
init 3 and log in from there, I can see the error messages from the kernel just
before the system freezes. Nothing is written to any log file (as the system
completely freezes). In my original message, you can see what I was able to hand
copy by reading from the console.

Has anyone proved the FC6 aacraid driver? The version number is older in FC6
(1.1-5[2409]-mh2) than the one that I have in my SL4.3 based on RHLE4 (1.1-5[2412]).
Comment 8 Pablo Pérez González 2006-11-27 02:46:41 EST
I tried to compile the aacraid module version 1.1-5[2412] from SL4.3 (based on
RHLE4) with the FC5 2.6.18-1.2200 SMP kernel, but there were multiple errors in
the compilation. The RHLE4 module seems to be pretty different from the FC5/6 one.

I have now installed FC6 and the aacraid module version 1.1-5[2409]-mh2 seems to
be working perfectly. My system has now been up running FC6 kernel
2.6.18-1.2849.fc6PAE for 10 days with heavy CPU/RAM/disk load. 

Note You need to log in before you can comment on or make changes to this bug.